<?php

###########################
#Скрипт: Keo v1#
#Автор: GulievMMA#
#Версия: v1#
#Страна: Азербайджан#
#Город: Сумгайыт#
#Спорт: ММА#
#Сайт: KeoTop.Ru#
#Сайт: H9M.Ru#
#Телеграм: @AnarQuliyevMMA#
#E-mail: guliev.mma@gmail.com  #
#WhatsApp: +994 (77) 768-39-39#
#WhatsApp: +994 (55) 968-78-69#
############################
#Скрипт Принадлежит Мне , Продавать и Распростронять Нельзя (!)#
############################

session_start();
define('NTOP', 1);

require_once('../system/connect.php');
require_once('../system/core.php');
require_once('../system/function.php');
$ulty = mysql_fetch_array(mysql_query("SELECT * FROM `".$prefix."sait` WHERE ".($id == '0' ? "`url` = '".$_GET['id']."'" : "`id` = '".$id."'").""));
$id = $ulty['id'];

$title = 'Статистика сайта '.$ulty['url'];
$des = 'Информатция о сайте '.$ulty['url'].', Полная статистика сайта '.$ulty['url'].' и много других сайтов! А также можете найти информатцию о создание сайтов или о разработке сайтов. У нас найдется различние скрипти для сайтов.';

/* 
----------------------------------------
Ulty funksiyalari
----------------------------------------
*/

function ulty($str)
    {
        $replace = array(
            'A' => 'a',
            'B' => 'b',
            'V' => 'v',
            'G' => 'g',
            'D' => 'd',
            'E' => 'z',
            'Z' => 'z',
            'I' => 'i',
            'J' => 'j',
            'K' => 'k',
            'L' => 'l',
            'M' => 'm',
            'N' => 'n',
            'O' => 'o',
            'P' => 'p',
            'R' => 'r',
            'S' => 's',
            'T' => 't',
            'U' => 'u',
            'F' => 'f',
            'H' => 'x',
            'C' => 'c',
            'W' => 'w',
            'Q' => 'q',
            'Y' => 'y',
            'X' => 'x'
        );
        return strtr($str, $replace);
    }
function ulty2($str)
    {
        $replace = array(
            'a' => 'ф',
            'b' => 'и',
            'v' => 'м',
            'g' => 'п',
            'd' => 'в',
            'e' => 'у',
            'z' => 'я',
            'i' => 'ш',
            'j' => 'о',
            'k' => 'л',
            'l' => 'д',
            'm' => 'ь',
            'n' => 'т',
            'o' => 'щ',
            'p' => 'з',
            'r' => 'к',
            's' => 'ы',
            't' => 'е',
            'u' => 'г',
            'f' => 'а',
            'h' => 'р',
            'c' => 'с',
            'w' => 'ц',
            'q' => 'й',
            'y' => 'н',
            '.' => 'ю'
        );
        return strtr($str, $replace);
    }

$key = ulty($ulty['url']).', статистика, информатция, создание сайтов, сайта, '.ulty2(ulty($ulty['url'])).', скрипт сайта, sayt scripti, bepul yuklash, скачат бесплатно, statistikasi, keotop.ru, best top, rating, азия топ, азия, топ, рейтинг, сайтов';
require_once('head.php');
if ($ulty['skrit'] == 1 AND $ulty['id_user'] != $user_data['id'] AND $user_data['level'] != 2) {
echo '<div class="title">'.$title.'</div>';
echo '<div class="stat" style="color: #ff00ff"><b>Владелец сайта предпочел скрыт статистику!</b></div>';
require_once('foot.php');
exit;
} elseif ($ulty['skrit'] == 1 AND $ulty['id_user'] == $user_data['id']) {
echo '<div class="stat" style="color: #ff00ff"><b>Для остальных статистика закрыта!</b></div>';
}
$isset = mysql_query("SELECT * FROM `".$prefix."sait` WHERE `id` = '".$id."'");
if(mysql_num_rows($isset) == 0)
	{
		echo '<div class="topni">';
		echo 'Сайта нет в базе! <br/>';
		echo '</div>';
	}
else
	{	
		$online_sait = mysql_num_rows(mysql_query("SELECT * FROM `".$prefix."sait_online` WHERE `id_sait` = '".$id."'"));
		$sait_comm = mysql_num_rows(mysql_query("SELECT * FROM `".$prefix."sait_comments` WHERE `id_sait` = '".$id."'"));
		$user = mysql_fetch_array($isset);
		if($user['ban'] == 1)
			{
				echo '<div class="topni">';
				echo 'Сайта забанен! <br/>';
				echo '</div>';
				require_once('foot.php');
				exit;
			}
		if($user['status'] == 0)
			{
				echo '<div class="topni">';
				echo 'Вы не можете смотреть статистику данного сайта , так как он проходит модерацию! <br/>';
				echo '</div>';
				require_once('foot.php');
				exit;
			}
				echo '<div class="title2"> <strong>'.$title.'</strong> <small>['.$online_sait.' чел. онлайн]</small></div>';
				switch($act)
					{
						default:
						
                        mysql_query("UPDATE `top_sait` SET  `count` = `count`+1 WHERE `id` = '".$id."'");
						$category = mysql_fetch_array(mysql_query("SELECT * FROM `".$prefix."cat` WHERE `id` = '".$user['category']."'"));
						$rat_plus = mysql_num_rows(mysql_query("SELECT * FROM `".$prefix."reputation` WHERE `id_sait` = '".$id."' AND `type` = 'plus'"));
						$rat_minus = mysql_num_rows(mysql_query("SELECT * FROM `".$prefix."reputation` WHERE `id_sait` = '".$id."' AND `type` = 'minus'"));
						$all_rat = $rat_plus + $rat_minus;
						if($rat_plus > 0)
							{
								$procent_plus = round(($rat_plus/$all_rat)*100,1);
							}
						else
							{
								$procent_plus = '0';
							}
						if($rat_minus > 0)
							{
								$procent_minus = round(($rat_minus/$all_rat)*100,1);
							}
						else
							{
								$procent_minus = '0';
							}
						$proverka_reputation = mysql_num_rows(mysql_query("SELECT * FROM `".$prefix."reputation` WHERE `ip` = '".$ip."' AND `time` > '".(time()-86400)."' AND `id_sait` = '".$id."'"));
						
						
						echo '<div class="main"><img src="http://mini.s-shot.ru/1080x1080/325/png/?http://'.$user['url'].'" align="top" alt="Скриншот сайта '.$user['url'].'"/></div>';
						
						echo '<div class="title"><strong>Общие</strong></div>';
						echo '<div class="stat">Название: <strong>'.$user['name'].'</strong><br/></div><div class="stat">';
						echo 'Адрес: <a href="http://'.$set['home'].'/out/'.$user['id'].'"><strong>'.$user['url'].'</strong></a><br/></div><div class="stat">';
						echo 'Категория: ';
if ($ulty['vip'] == 1) {
echo '<a href="http://'.$set['home'].'/m/category/vip"><strong>VIP сайты</strong></a></div><div class="stat">';
} elseif ($ulty['newsait'] != '1' AND $ulty['category'] !== 6) {
echo '<a href="http://'.$set['home'].'/m/category/new"><strong>Новые сайты</strong></a></div><div class="stat">';
} else {
echo '<a href="http://'.$set['home'].'/m/category/view/'.$user['category'].'"><strong>'.$category['name'].'</strong></a></div><div class="stat">';
}
echo '<br/>';
						echo 'Описание: '.$user['about'].'</div>';
						echo '<div class="stat">Просмотров: <b>'.$user['count'].'</b></div>';
   $yday_start = mktime(0, 0, 0, date("m"), (date("d")-1), date("Y"));
		$yday_finish = mktime(23, 59, 59, date('m'), (date('d')-1), date('Y'));
	$yday_host = mysql_num_rows(mysql_query("SELECT * FROM `".$prefix."hosts` WHERE `time` BETWEEN '".$yday_start."' AND '".$yday_finish."' AND `id_sait` = '".$id."'"));
		$yday_hit = mysql_num_rows(mysql_query("SELECT * FROM `".$prefix."hits` WHERE `time` BETWEEN '".$yday_start."' AND '".$yday_finish."' AND `id_sait` = '".$id."'"));
	$yday_in = mysql_num_rows(mysql_query("SELECT * FROM `".$prefix."go` WHERE `time` BETWEEN '".$yday_start."' AND '".$yday_finish."' AND `type` = 'in' AND `id_sait` = '".$id."'"));
		$yday_out = mysql_num_rows(mysql_query("SELECT * FROM `".$prefix."go` WHERE `time` BETWEEN '".$yday_start."' AND '".$yday_finish."' AND `type` = 'out' AND `id_sait` = '".$id."'"));
$host = $user['hosts'] - $yday_host;
$hit = $user['hits'] - $yday_hit;
$in = $user['in'] - $yday_in;
$out = $user['out'] - $yday_out;






echo '<div class="title"><strong>Сегодня</strong></div>

<div class="stat">Хосты: <b>'.$user['hosts'].'</b></div>
<div class="stat">Хиты: <b>'.$user['hits'].'</b></div>
<div class="stat">В Топ Пришло: <b>'.$user['in'].'</b></div>
<div class="stat">Из Топа Ушло: <b>'.$user['out'].'</b></div>


<div class="title"><strong>Вчера</strong></div>

<div class="stat">Хосты: <b>'.$yday_host.' </b></div>
<div class="stat">Хиты: <b>'.$yday_hit.'</b></div>
<div class="stat">В Топ Пришло: <b>'.$yday_in.'</b></div>
<div class="stat">Из Топа Ушло: <b>'.$yday_out.'</b></div>

<div class="title"><strong>Всего</strong></div>

<div class="stat">Хосты: <b>'.$user['all_hosts'].'</b></div>
<div class="stat">Хиты: <b>'.$user['all_hits'].'</b></div>
<div class="stat">В Топ Пришло: <b>'.$user['all_in'].'</b></div>
<div class="stat">Из Топа Ушло: <b>'.$user['all_out'].'</b></div>';

/*

echo '<div class="title"><strong>Сегодня</strong></div><div class="stat">
Хосты: <b>'.$user['hosts'].'</b> ';
if ($host  > 0) {
echo '<font color="green"> + <b>'.$host.'</b></font>'; 
} else {
echo '<font color="red"> <b>'.$host.'</b></font>'; 
}
echo '</div><div class="stat">Хиты: <b>'.$user['hits'].' </b>';
if ($hit  > 0) {
echo '<font color="green"> +<b>'.$hit.'</b></font>'; 
} else {
echo '<font color="red"> <b>'.$hit.'</b></font>'; 
}
echo '</div><div class="stat">
В топ: <b>'.$user['in'].'</b>';
if ($in  > 0) {
echo '<font color="green"> +<b>'.$in.'</b></font>'; 
} else {
echo '<font color="red"> <b>'.$in.'</b></font>'; 
}
echo '</div><div class="stat">Из топа: <b>'.$user['out'].'</b>';
if ($out  > 0) {
echo '<font color="green"> +<b>'.$out.'</b></font>'; 
} else {
echo '<font color="red"><b> '.$out.'</b></font>'; 
}

echo '</div>';

*/
						echo '<div class="title"><strong>Рейтинг Сайта</strong></div>';
echo '<div class="stat"><font color=green><strong>За</strong></font> : <strong>'.$rat_plus.'</strong> [<b>'.$procent_plus.'</b>%]<br/></div><div class="stat">';
						echo '<font color=red><strong>Против</strong></font> : <strong>'.$rat_minus.'</strong> [<b>'.$procent_minus.'</b>%]</div><div class="stat">';
						if($proverka_reputation == 0)
							{
								echo '<strong>Голосовать</strong>: ';
								echo '<a href="http://'.$set['home'].'/m/stats.php?act=reputation_za&id='.$id.'">За</a> | <a href="http://'.$set['home'].'/m/stats.php?act=reputation_protiv&id='.$id.'">Против</a></div>';
						
} else {echo '</div>';	}
						
						
						
echo '<div class="stat"><a href="/stats/'.$id.'/com">Отзывы о сайте</a> ['.$sait_comm.']</div>';
						
						echo '<div class="title"><strong>Популярность в Поисковиках</strong></div>';
						echo '<div class="stat">- Google PR: <b>'.$user['pr'].'</b><br /></div><div class="stat"> 
						- Яндекс тИЦ: <b>'.$user['cy'].'</b><br /></div>';
						echo '<div class="title"><strong>Счётчик тИЦ и PR</strong></div>';
						echo '<div class="stat"><a href="http://'.$set['home'].'/stats/'.$id.'"><img src="http://'.$set['home'].'/info/'.$user['id'].'" alt="SEO анализ сайта '.$user['url'].'"/></a>';
						
						echo ' - <a href="http://'.$set['home'].'/stats/'.$id.'/seo">Код Счетчика</a></div>';


			echo '<div class="title">';
			echo 'Статистик Сайта</div>
			<div class="stat"><a href="http://'.$set['home'].'/stats/'.$id.'/hours">Статистика По Часам</a></div><div class="stat"><a href="http://'.$set['home'].'/stats/'.$id.'/ip">Статистика По IP</a></div><div class="stat"><a href="http://'.$set['home'].'/stats/'.$id.'/operators">Статистика По Операторам</a></div><div class="stat"><a href="http://'.$set['home'].'/stats/'.$id.'/online">Статистика По Онлайн</a></div><div class="stat"><a href="http://'.$set['home'].'/stats/'.$id.'/referer">Статистика По Рефералу</a>';
			echo '</div>';
				break;
		


case 'seo':
echo '<div class="main">Код счётчика тИЦ и PR:</br>';
echo '<img src="http://'.$set['home'].'/info/'.$user['id'].'" alt="SEO анализ сайта '.$user['url'].'"/></br>';
echo '<textarea cols="25" rows="4"><a href="http://'.$set['home'].'/stat/'.$user['id'].'"><img src="http://'.$set['home'].'/info/'.$user['id'].'" alt="SEO анализ сайта '.$user['url'].'"/></a></textarea>';
echo '</div>';
echo '<div class="main">Код счётчика PR:</br>';
echo '<img src="http://'.$set['home'].'/info/'.$user['id'].'/pr" alt="SEO анализ сайта '.$user['url'].'"/></br>';
echo '<textarea cols="25" rows="4"><a href="http://'.$set['home'].'/stat/'.$user['id'].'"><img src="http://'.$set['home'].'/info/'.$user['id'].'/pr" alt="SEO анализ сайта '.$user['url'].'"/></a></textarea>';
echo '</div>';
echo '<div class="main">Код счётчика ТИЦ:</br>';
echo '<img src="http://'.$set['home'].'/info/'.$user['id'].'/cy" alt="SEO анализ сайта '.$user['url'].'"/></br>';
echo '<textarea cols="25" rows="4"><a href="http://'.$set['home'].'/stat/'.$user['id'].'"><img src="http://'.$set['home'].'/info/'.$user['id'].'/cy" alt="SEO анализ сайта '.$user['url'].'"/></a></textarea>';
echo '</div>';
break;





		
		case 'com':		
			if(isset($_POST['ok']))
							{
								$name = isset($user_data) ? $user_data['login'] : 'Гость';
								$comment = filter($_POST['comment']);
								$test = mysql_num_rows(mysql_query("SELECT * FROM `".$prefix."sait_comments` WHERE `name` = '".$name."' AND `text` = '".$comment."' AND `time` > '".(time()-500)."' AND `id_sait` = '".$id."'"));
								if($test == 0)
									{
										$error = '';
										if(empty($comment))
											{
												$error .= 'Нет отзыва<br/>';
											}
										if($user_data)
											{
												if($user_data['antiflud'] + $set['antiflud_time'] > time())
													{
														$error .= 'Вы писали сообщение меньше чем '.$set['antiflud_time'].' секунд назад! <br/>';
													}
											}
										else
											{
												if($set['guest_antiflud'] + $set['antiflud_time'] > time())
													{
														$error .= 'Вы писали сообщение меньше чем '.$set['antiflud_time'].' секунд назад! <br/>';
													}									
											}
										if(mb_strlen($comment) > 100)
											{
												$error .= 'Отзыв содержит больше 100 символов<br/>';
											}
										if(!empty($error))
											{
												echo '<div class="topni">';
												echo $error;
												echo '</div>';
											}
										else
											{

												$comment = mysql_query("INSERT INTO `".$prefix."sait_comments` SET `name` = '".$name."', `text` = '".$comment."', `time` = '".time()."', `id_sait` = '".$id."'");
												if($user_data)
													{
														$update_antiflud = mysql_query("UPDATE `".$prefix."users` SET `antiflud` = '".time()."' WHERE `id` = '".$user_data['id']."'");
													}
												else
													{
														$update_antiflud_guest = mysql_query("UPDATE `".$prefix."settings` SET `value` = '".time()."' WHERE `name` = 'guest_antiflud'");
													}
												if($comment)
													{
														echo '<div class="main">';
														echo 'Отзыв добавлен!<br/>';
														echo '</div>';
													}
												else
													{
														echo '<div class="topni">';
														echo 'Отзыв не добавлен!<br/>';
														echo '</div>';
													}
											}
									}	
							}
						echo '<div class="title2">Отзыва к сайту</div>';
						$count = mysql_num_rows(mysql_query("SELECT * FROM `".$prefix."sait_comments` WHERE `id_sait` = '".$id."'"));
						if($count > 0)
							{
								$total=intval(($count-1)/$page_sait_comments)+1; 
								$page=abs(intval($_GET['page'])); 
								if(empty($page) OR $page < 0)
									{
										$page = 1; 
									}
								if($page > $total)
									{
										$page = $total; 
									}
								$past=intval($count/$page_sait_comments);  
								$start=$page*$page_sait_comments-$page_sait_comments; 
								$comments = mysql_query("SELECT * FROM `".$prefix."sait_comments` WHERE `id_sait` = '".$id."' ORDER BY `time` DESC LIMIT ".$start.",".$page_sait_comments."");
								while($row = mysql_fetch_array($comments)) 
									{
										$start++;
										echo '<div class="topni"><span class="o">'.$start.'</span> <b>'.$row['name'].'</b> ['.data($row['time']).']</div>';
										echo '<div class="main">';
										echo $row['text'].'<br/>';
										echo '</div>';
									}
								navigation($count,$page_sait_comments,$page,'http://'.$set['home'].'/stats/'.$id.'/com/',$total);
							}
						else
							{
								echo '<div class="main">';
								echo 'Отзывов к данному сайту нет!<br/>';
								echo '</div>';
							}
						if(!$user_data)
                        {
                         echo '<div class="main"><b>Отзывы разрешено оставлять только пользователям топ рейтинга !!!!</b></div>';
				        }
                         else
				        {
						echo '<div class="title2">Добавления отзыва</div>';
						echo '<div class="main">';
						echo '
						<form action="/stats/'.$id.'/com" method="post">
						Комментарий [max. 100]:<br/>
						<textarea name="comment" cols="38" rows="8"></textarea><br/>
						';

						echo '<input name="ok" type="submit" value="Добавить" />
						</form>
						</div>';
						}
		break;	
		

/*				
	case 'yday':		
			
        $yday_start = mktime(0, 0, 0, date("m"), (date("d")-1), date("Y"));
		$yday_finish = mktime(23, 59, 59, date('m'), (date('d')-1), date('Y'));
		$yday_host = mysql_num_rows(mysql_query("SELECT * FROM `".$prefix."hosts` WHERE `time` BETWEEN '".$yday_start."' AND '".$yday_finish."' AND `id_sait` = '".$id."'"));
		$yday_hit = mysql_num_rows(mysql_query("SELECT * FROM `".$prefix."hits` WHERE `time` BETWEEN '".$yday_start."' AND '".$yday_finish."' AND `id_sait` = '".$id."'"));
		$yday_in = mysql_num_rows(mysql_query("SELECT * FROM `".$prefix."go` WHERE `time` BETWEEN '".$yday_start."' AND '".$yday_finish."' AND `type` = 'in' AND `id_sait` = '".$id."'"));
		$yday_out = mysql_num_rows(mysql_query("SELECT * FROM `".$prefix."go` WHERE `time` BETWEEN '".$yday_start."' AND '".$yday_finish."' AND `type` = 'out' AND `id_sait` = '".$id."'"));

		echo '<div class="main"><strong>Сегодня</strong><br />
Хосты: '.$user['hosts'].' | Хиты: '.$user['hits'].'<br />
В топ: '.$user['in'].' | Из топа: '.$user['out'].'</div>
<div class="main"><strong>Вчера</strong><br />
Хосты: '.$yday_host.' | Хиты: '.$yday_hit.'<br />
В топ: '.$yday_in.' | Из топа: '.$yday_out.'</div>
<div class="main"><strong>Всего</strong><br />
Хосты: '.$user['all_hosts'].' | Хиты: '.$user['all_hits'].'<br />
В топ: '.$user['all_in'].' | Из топа: '.$user['all_out'].'</div>';

echo '<div class="main">';
		echo '<a href="http://'.$set['home'].'/stats/'.$id.'">О сайте</a> | <strong>Общая</strong> 
| <a href="http://'.$set['home'].'/stats/'.$id.'/hours">По часам</a> 
| <a href="http://'.$set['home'].'/stats/'.$id.'/ip">По IP</a> 
| <a href="http://'.$set['home'].'/stats/'.$id.'/operators">По операторам</a> 
| <a href="http://'.$set['home'].'/stats/'.$id.'/online">По Онлайн</a>
| <a href="http://'.$set['home'].'/stats/'.$id.'/referer">Откуда приходят</a></div>';

break;
			
*/				
	
	  case 'hours':
	echo '<div class="title"><strong>Часы: [Хосты/Хиты]</strong></div><div class="main">';
		for($hour = 0; $hour< 24; $hour++)
		{
		$start_time = mktime($hour, 0, 0, date("m"), date("d"), date("Y"));
		$finish_time = mktime($hour+1, 0, 0, date("m"), date("d"), date("Y"));
		$hosts = mysql_num_rows(mysql_query("SELECT * FROM `".$prefix."hosts` WHERE `time` BETWEEN '".$start_time."' AND '".$finish_time."' AND `id_sait` = '".$id."'"));
		$hits = mysql_num_rows(mysql_query("SELECT * FROM `".$prefix."hits` WHERE `time` BETWEEN '".$start_time."' AND '".$finish_time."' AND `id_sait` = '".$id."'"));
			if(strlen($hour) == 1)
			{
			$hour = '0'.$hour;
			}
			if(strlen($hour + 1) == 1)
			{
			$f = '0'.($hour + 1);
			}
				else
			{
			$f = $f + 1;
			}
     if($hosts > 0 || $hits > 0){
		echo ''.$hour.':00 - '.($f).':00: ['.$hosts.'/'.$hits.']</br><hr>';
             }
		}
		echo '</div>';
		
	echo '<div class="title">';
			echo 'Статистик Сайта</div>
			<div class="row"><a href="http://'.$set['home'].'/stats/'.$id.'/hours">Статистика По Часам</a></div><div class="row"><a href="http://'.$set['home'].'/stats/'.$id.'/ip">Статистика По IP</a></div><div class="row"><a href="http://'.$set['home'].'/stats/'.$id.'/operators">Статистика По Операторам</a></div><div class="row"><a href="http://'.$set['home'].'/stats/'.$id.'/online">Статистика По Онлайн</a></div><div class="row"><a href="http://'.$set['home'].'/stats/'.$id.'/referer">Статистика По Рефералу</a>';
			echo '</div>';
		break;
	case 'ip':
		$start_time = mktime(00, 00, 00, date("m"), date("d"), date("Y"));
		$finish_time = mktime(23, 59, 59, date("m"), date("d"), date("Y"));
		$al = mysql_query("SELECT COUNT(`ip`) FROM `".$prefix."hits` WHERE `time` BETWEEN '".$start_time."' AND '".$finish_time."' AND `id_sait` = '".$id."'");
		$all = mysql_result($al,0);
		$count = mysql_num_rows(mysql_query("SELECT DISTINCT `ip` as `ip`, COUNT(`ip`) AS `count` FROM `".$prefix."hits` WHERE `time` BETWEEN '".$start_time."' AND '".$finish_time."' AND `id_sait` = '".$id."' GROUP BY `ip`"));
			if($count > 0)
		{
		echo '<div class="title"><strong>IP: [Хиты/Проценты]</strong></div><div class="main">';
	$total=intval(($count-1)/$pages)+1; 
	$page=abs(intval($_GET['page'])); 
	if(empty($page) OR $page < 0)
	{
	$page = 1; 
	}
	if($page > $total)
	{
	$page = $total; 
	}
	$past=intval($count/$pages);  
	$start=$page*$pages-$pages; 
	     $query = mysql_query("SELECT DISTINCT `ip` as `ip`, COUNT(`ip`) AS `count` FROM `".$prefix."hits` WHERE `time` BETWEEN '".$start_time."' AND '".$finish_time."' AND `id_sait` = '".$id."'  GROUP BY `ip` LIMIT ".$start.",".$pages."");
		while($stata = mysql_fetch_array($query))
		{
		$procent = ($stata['count'] / $all) * 100;
		echo ''.$stata['ip'].': [<b>'.$stata['count'].'</b>/<b>'.round($procent, 1).'%</b>]</br><hr>';
		}
		echo '</div>';
	navigation($count,$pages,$page,'http://'.$set['home'].'/stats/'.$id.'/ip/',$total);
		}
	else
		{
		echo 'Нет статистики по IP для этого сайта сегодня.<br/>';
		}
	echo '<div class="title">';
			echo 'Статистик Сайта</div>
			<div class="row"><a href="http://'.$set['home'].'/stats/'.$id.'/hours">Статистика По Часам</a></div><div class="row"><a href="http://'.$set['home'].'/stats/'.$id.'/ip">Статистика По IP</a></div><div class="row"><a href="http://'.$set['home'].'/stats/'.$id.'/operators">Статистика По Операторам</a></div><div class="row"><a href="http://'.$set['home'].'/stats/'.$id.'/online">Статистика По Онлайн</a></div><div class="row"><a href="http://'.$set['home'].'/stats/'.$id.'/referer">Статистика По Рефералу</a>';
			echo '</div>';
	break;
	     case 'operators':
$start_time = mktime(0, 0, 0, date("m"), date("d"), date("Y"));
$finish_time = mktime(23, 59, 59, date("m"), date("d"), date("Y"));
$all = mysql_num_rows(mysql_query("SELECT * FROM `".$prefix."hits` WHERE `time` BETWEEN '".$start_time."' AND '".$finish_time."' AND `id_sait` = '".$id."'"));
$opera = mysql_query("SELECT DISTINCT `".$prefix."hits`.`operator`, COUNT(`".$prefix."hits`.`operator`) AS `count`, `".$prefix."ip_name`.`operator` as `name` FROM `".$prefix."hits`, `".$prefix."ip_name` WHERE `".$prefix."hits`.`id_sait` = '".$id."' AND `".$prefix."hits`.`time` BETWEEN '".$start_time."' AND '".$finish_time."' AND `".$prefix."hits`.`operator` = `".$prefix."ip_name`.`id` GROUP BY `".$prefix."hits`.`operator` ORDER BY 2 DESC");
$oper_count = mysql_num_rows($opera);
if($oper_count > 0)
{
echo '<div class="title">Оператор(Страна): [Хиты/Проценты]</div><div class="main">';
	$total=intval(($oper_count-1)/$pages)+1; 
	$page=abs(intval($_GET['page'])); 
	if(empty($page) OR $page < 0)
		{
	$page = 1; 
		}
	if($page > $total)
		{
	$page = $total; 
		}
	$past=intval($oper_count/$pages);  
	$start=$page*$pages-$pages; 
$oper = mysql_query("SELECT DISTINCT `".$prefix."hits`.`operator`, COUNT(`".$prefix."hits`.`operator`) AS `count`, `".$prefix."ip_name`.`operator` as `name` FROM `".$prefix."hits`, `".$prefix."ip_name` WHERE `".$prefix."hits`.`id_sait` = '".$id."' AND `time` BETWEEN '".$start_time."' AND '".$finish_time."' AND `".$prefix."hits`.`operator` = `".$prefix."ip_name`.`id` GROUP BY `".$prefix."hits`.`operator` ORDER BY 2 DESC LIMIT ".$start.",".$pages."");
while($op = mysql_fetch_array($oper)){

$strana = mysql_fetch_array(mysql_query("SELECT * FROM `".$prefix."ip_name` WHERE `operator` = '".$op['name']."'"));

$procent = ($op['count'] / $all) * 100;
echo '['.$strana['coun'].'] '.htmlentities($op['name'], ENT_QUOTES, 'cp1251').' ('.htmlentities($strana['country'], ENT_QUOTES, 'UTF-8').' ): [<b>'.$op['count'].'/'.round($procent, 2).'%</b>]</br><hr>';}




echo '</div>';
navigation($oper_count,$pages,$page,'http://'.$set['home'].'/stats/'.$id.'/operators/',$total);
}else{
echo '<div class="main">Нет статистики по операторам для этого сайта сегодня.</div>';}

	echo '<div class="title">';
			echo 'Статистик Сайта</div>
			<div class="row"><a href="http://'.$set['home'].'/stats/'.$id.'/hours">Статистика По Часам</a></div><div class="row"><a href="http://'.$set['home'].'/stats/'.$id.'/ip">Статистика По IP</a></div><div class="row"><a href="http://'.$set['home'].'/stats/'.$id.'/operators">Статистика По Операторам</a></div><div class="row"><a href="http://'.$set['home'].'/stats/'.$id.'/online">Статистика По Онлайн</a></div><div class="row"><a href="http://'.$set['home'].'/stats/'.$id.'/referer">Статистика По Рефералу</a>';
			echo '</div>';
	break;


		case 'online':
		$all = mysql_num_rows(mysql_query("SELECT * FROM `".$prefix."sait_online` WHERE `id_sait` = '".$id."'"));
		if($all != 0)
			{ 
	echo '<div class="title">UA: [IP/Время]</div><div class="main">';
		$total=intval(($all-1)/$pages)+1; 
		$page=abs(intval($_GET['page'])); 
		if(empty($page) OR $page < 0)
			{
		$page = 1; 
			}
		if($page > $total)
			{
		$page = $total; 
			}
		$past=intval($all/$pages);  
		$start=$page*$pages-$pages; 
		   $onl = mysql_query("SELECT * FROM `".$prefix."sait_online` WHERE `id_sait` = '".$id."' LIMIT ".$start.",".$pages."");
			while($row = mysql_fetch_array($onl)) 
				{
	echo ''.$row['ua'].': ['.$row['ip'].'/'.data($row['time']).']</br><hr>';
									}
								echo '</div>';

		navigation($all,$pages,$page,'http://'.$set['home'].'/stats/'.$id.'/online/',$total);
		}
			else
		{
	echo 'Нет статистики по онлайн для этого сайта сегодня.<br/>';
		}
	
	echo '<div class="title">';
			echo 'Статистик Сайта</div>
			<div class="row"><a href="http://'.$set['home'].'/stats/'.$id.'/hours">Статистика По Часам</a></div><div class="row"><a href="http://'.$set['home'].'/stats/'.$id.'/ip">Статистика По IP</a></div><div class="row"><a href="http://'.$set['home'].'/stats/'.$id.'/operators">Статистика По Операторам</a></div><div class="row"><a href="http://'.$set['home'].'/stats/'.$id.'/online">Статистика По Онлайн</a></div><div class="row"><a href="http://'.$set['home'].'/stats/'.$id.'/referer">Статистика По Рефералу</a>';
			echo '</div>';
	
	break;
case 'referer':


echo '<div class="title">Источники переходов</div>';
//$my_url = parse_url($user['url']);
$my_url['host'] = $user['url'];
$count = mysql_result(mysql_query("SELECT COUNT(DISTINCT `site`) FROM `counter` WHERE `id_site` = '".$id."' AND `site` NOT LIKE '%".$my_url['host']."';"), 0);
if($count > 0){
$total=intval(($count-1)/$pages)+1; 
	$page=abs(intval($_GET['page'])); 
	if(empty($page) OR $page < 0)
		{
	$page = 1; 
		}
	if($page > $total)
		{
	$page = $total; 
		}
	$past=intval($count/$pages);  
	$start=$page*$pages-$pages; 
    $req = mysql_query("SELECT * FROM `counter` WHERE `id_site` = '".$id."' AND `site` NOT LIKE '%".$my_url['host']."' GROUP BY `site` LIMIT ".$start.",".$pages);
    while($arr = mysql_fetch_array($req)){
        echo '<div class="stat">';
        $time = date("H:i", $arr['date']);
        $count_hits = mysql_result(mysql_query("SELECT COUNT(*) FROM `counter` WHERE `id_site` = '".$id."' AND `site` = '".$arr['site']."'") , 0);
        echo ' <a href="/siteadr.php?id='.$id.'&amp;site='.$arr['site'].'">'.$arr['site'].'</a>
        <hr>'.$time.' | Переходов: '.$count_hits.'</div>
        ';
        }
    
    echo '<div class="title2">Всего: '.$count.'</div>';
    if ($count > $pages){
    	navigation($count,$pages,$page,'http://'.$set['home'].'/stats/'.$id.'/referer/',$total);
    }
}else{
 echo '<div class="row">Нет Источники переходов за сегодня!</div>';   
}
echo '<div class="title">';
			echo 'Статистик Сайта</div>
			<div class="row"><a href="http://'.$set['home'].'/stats/'.$id.'/hours">Статистика По Часам</a></div><div class="row"><a href="http://'.$set['home'].'/stats/'.$id.'/ip">Статистика По IP</a></div><div class="row"><a href="http://'.$set['home'].'/stats/'.$id.'/operators">Статистика По Операторам</a></div><div class="row"><a href="http://'.$set['home'].'/stats/'.$id.'/online">Статистика По Онлайн</a></div><div class="row"><a href="http://'.$set['home'].'/stats/'.$id.'/referer">Статистика По Рефералу</a>';
			echo '</div>';
break;	          
case 'reputation_za':
						$proverka_reputation = mysql_num_rows(mysql_query("SELECT * FROM `".$prefix."reputation` WHERE `ip` = '".$ip."' AND `time` > '".(time()-86400)."' AND `id_sait` = '".$id."'"));
						if($proverka_reputation == 0)
							{
								$repa = mysql_query("INSERT INTO `".$prefix."reputation` SET `type` = 'plus', `ip` = '".$ip."', `time` = '".time()."', `id_sait` = '".$id."'");
								if($repa)
									{
										echo '<div class="main">';
										echo 'Репутация сайта успешно повышена на 1 единицу!<br/>';
										echo '</div>';
									}
								else
									{
										echo '<div class="main">';
										echo 'Репутация не изменена!<br/>';
										echo '</div>';
									}
							}
							else
							{
								echo '<div class="main">';
								echo 'Вы уже голосовали за этот сайт , голосовать можно 1 раз за 24 часа!<br/>';
								echo '</div>';
							}
						
						echo '<div class="topni"><a href="http://'.$set['home'].'/stats/'.$id.'">К статистике сайта</a></div>';
						break;
						case 'reputation_protiv':
						$proverka_reputation = mysql_num_rows(mysql_query("SELECT * FROM `".$prefix."reputation` WHERE `ip` = '".$ip."' AND `time` > '".(time()-86400)."' AND `id_sait` = '".$id."'"));
						if($proverka_reputation == 0)
							{
								$repa = mysql_query("INSERT INTO `".$prefix."reputation` SET `type` = 'minus', `ip` = '".$ip."', `time` = '".time()."', `id_sait` = '".$id."'");
								if($repa)
									{
										echo '<div class="main">';
										echo 'Репутация сайта успешно понижена на 1 единицу!<br/>';
										echo '</div>';
									}
								else
									{
										echo '<div class="main">';
										echo 'Репутация не изменена!<br/>';
										echo '</div>';
									}
							}
							else
							{
								echo '<div class="main">';
								echo 'Вы уже голосовали за этот сайт , голосовать можно 1 раз за 24 часа!<br/>';
								echo '</div>';
							}
						
						echo '<div class="topni"><a href="http://'.$set['home'].'/stats/'.$id.'">К статистике сайта</a></div>';
						break;
	
	
					}
	}


require_once('foot.php');
?>